> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-2A CDN

> Get all credit/debit notes in GSTR-2A for a return period for authenticated taxpayer

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-2a/cdn.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/cdn/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-2a/cdn/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-2A Documents
      summary: GSTR-2A CDN
      description: >-
        Get all credit/debit notes in GSTR-2A for a return period for
        authenticated taxpayer
      operationId: getGstr2aCdn
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: from
          in: query
          description: Filter to fetch data from specified date. E.g., 28/01/2025
          required: false
          schema:
            type: string
            example: 29/01/2025
        - name: counterparty_gstin
          in: query
          description: Filter by supplier / counterparty GSTIN
          required: false
          schema:
            type: string
            example: '{{ctin}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Success / RET13509 No data found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          cdn:
                            type: array
                            items:
                              type: object
                              properties:
                                cfs:
                                  type: string
                                  example: 'Y'
                                cfs3b:
                                  type: string
                                  example: 'Y'
                                ctin:
                                  type: string
                                  example: 07ABCCA9123A1YZ
                                fldtr1:
                                  type: string
                                  example: 11-Jan-24
                                flprdr1:
                                  type: string
                                  example: Dec-23
                                nt:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      chksum:
                                        type: string
                                        example: >-
                                          62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                                      d_flag:
                                        type: string
                                        example: 'Y'
                                      inv_typ:
                                        type: string
                                        example: R
                                      irn:
                                        type: string
                                        example: >-
                                          x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                      irngendate:
                                        type: string
                                        example: 13-12-2023
                                      itms:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            itm_det:
                                              type: object
                                              properties:
                                                camt:
                                                  type: number
                                                  example: 0
                                                iamt:
                                                  type: number
                                                  example: 561.05
                                                rt:
                                                  type: number
                                                  example: 18
                                                samt:
                                                  type: number
                                                  example: 0
                                                txval:
                                                  type: number
                                                  example: 3116.94
                                            num:
                                              type: number
                                              example: 1
                                        example:
                                          - itm_det:
                                              camt: 0
                                              iamt: 561.05
                                              rt: 18
                                              samt: 0
                                              txval: 3116.94
                                            num: 1
                                      nt_dt:
                                        type: string
                                        example: 13-12-2023
                                      nt_num:
                                        type: string
                                        example: ACN2324000103340
                                      ntty:
                                        type: string
                                        example: C
                                      pos:
                                        type: string
                                        example: '24'
                                      rchrg:
                                        type: string
                                        example: 'N'
                                      srctyp:
                                        type: string
                                        example: E-Invoice
                                      val:
                                        type: number
                                        example: 3677.99
                                  example:
                                    - chksum: >-
                                        62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                                      d_flag: 'Y'
                                      inv_typ: R
                                      irn: >-
                                        x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                      irngendate: 13-12-2023
                                      itms:
                                        - itm_det:
                                            camt: 0
                                            iamt: 561.05
                                            rt: 18
                                            samt: 0
                                            txval: 3116.94
                                          num: 1
                                      nt_dt: 13-12-2023
                                      nt_num: ACN2324000103340
                                      ntty: C
                                      pos: '24'
                                      rchrg: 'N'
                                      srctyp: e-Invoice
                                      val: 3677.99
                                    - chksum: >-
                                        c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                                      d_flag: 'Y'
                                      inv_typ: R
                                      irn: >-
                                        x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                      irngendate: 13-12-2023
                                      itms:
                                        - itm_det:
                                            camt: 0
                                            iamt: 961.11
                                            rt: 18
                                            samt: 0
                                            txval: 5339.48
                                          num: 1
                                      nt_dt: 13-12-2023
                                      nt_num: ACN2324000103368
                                      ntty: C
                                      pos: '24'
                                      rchrg: 'N'
                                      srctyp: e-Invoice
                                      val: 6300.59
                                    - chksum: >-
                                        fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                                      d_flag: 'Y'
                                      inv_typ: R
                                      irn: >-
                                        x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                      irngendate: 13-12-2023
                                      itms:
                                        - itm_det:
                                            camt: 0
                                            iamt: 46380.95
                                            rt: 18
                                            samt: 0
                                            txval: 257671.97
                                          num: 1
                                      nt_dt: 13-12-2023
                                      nt_num: ACN2324000103394
                                      ntty: C
                                      pos: '24'
                                      rchrg: 'N'
                                      srctyp: e-Invoice
                                      val: 304052.92
                                    - chksum: >-
                                        9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                                      d_flag: 'Y'
                                      inv_typ: R
                                      irn: >-
                                        x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                      irngendate: 13-12-2023
                                      itms:
                                        - itm_det:
                                            camt: 0
                                            iamt: 17349.93
                                            rt: 18
                                            samt: 0
                                            txval: 96388.48
                                          num: 1
                                      nt_dt: 13-12-2023
                                      nt_num: ACN2324000103426
                                      ntty: C
                                      pos: '24'
                                      rchrg: 'N'
                                      srctyp: e-Invoice
                                      val: 113738.41
                                    - chksum: >-
                                        ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                                      d_flag: 'Y'
                                      inv_typ: R
                                      irn: >-
                                        x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                      irngendate: 13-12-2023
                                      itms:
                                        - itm_det:
                                            camt: 0
                                            iamt: 17533.22
                                            rt: 18
                                            samt: 0
                                            txval: 97406.76
                                          num: 1
                                      nt_dt: 13-12-2023
                                      nt_num: ACN2324000103435
                                      ntty: C
                                      pos: '24'
                                      rchrg: 'N'
                                      srctyp: e-Invoice
                                      val: 114939.98
                            example:
                              - cfs: 'Y'
                                cfs3b: 'Y'
                                ctin: 07ABCCA9123A1YZ
                                fldtr1: 11-Jan-24
                                flprdr1: Dec-23
                                nt:
                                  - chksum: >-
                                      62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                                    d_flag: 'Y'
                                    inv_typ: R
                                    irn: >-
                                      x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                    irngendate: 13-12-2023
                                    itms:
                                      - itm_det:
                                          camt: 0
                                          iamt: 561.05
                                          rt: 18
                                          samt: 0
                                          txval: 3116.94
                                        num: 1
                                    nt_dt: 13-12-2023
                                    nt_num: ACN2324000103340
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    srctyp: e-Invoice
                                    val: 3677.99
                                  - chksum: >-
                                      c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                                    d_flag: 'Y'
                                    inv_typ: R
                                    irn: >-
                                      x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                    irngendate: 13-12-2023
                                    itms:
                                      - itm_det:
                                          camt: 0
                                          iamt: 961.11
                                          rt: 18
                                          samt: 0
                                          txval: 5339.48
                                        num: 1
                                    nt_dt: 13-12-2023
                                    nt_num: ACN2324000103368
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    srctyp: e-Invoice
                                    val: 6300.59
                                  - chksum: >-
                                      fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                                    d_flag: 'Y'
                                    inv_typ: R
                                    irn: >-
                                      x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                    irngendate: 13-12-2023
                                    itms:
                                      - itm_det:
                                          camt: 0
                                          iamt: 46380.95
                                          rt: 18
                                          samt: 0
                                          txval: 257671.97
                                        num: 1
                                    nt_dt: 13-12-2023
                                    nt_num: ACN2324000103394
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    srctyp: e-Invoice
                                    val: 304052.92
                                  - chksum: >-
                                      9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                                    d_flag: 'Y'
                                    inv_typ: R
                                    irn: >-
                                      x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                    irngendate: 13-12-2023
                                    itms:
                                      - itm_det:
                                          camt: 0
                                          iamt: 17349.93
                                          rt: 18
                                          samt: 0
                                          txval: 96388.48
                                        num: 1
                                    nt_dt: 13-12-2023
                                    nt_num: ACN2324000103426
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    srctyp: e-Invoice
                                    val: 113738.41
                                  - chksum: >-
                                      ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                                    d_flag: 'Y'
                                    inv_typ: R
                                    irn: >-
                                      x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                    irngendate: 13-12-2023
                                    itms:
                                      - itm_det:
                                          camt: 0
                                          iamt: 17533.22
                                          rt: 18
                                          samt: 0
                                          txval: 97406.76
                                        num: 1
                                    nt_dt: 13-12-2023
                                    nt_num: ACN2324000103435
                                    ntty: C
                                    pos: '24'
                                    rchrg: 'N'
                                    srctyp: e-Invoice
                                    val: 114939.98
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RET13509
                          message:
                            type: string
                            example: No document found for the provided Inputs
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: f44b271e-fff6-45dd-ab62-d9c224a623e8
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        cdn:
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 07ABCCA9123A1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            nt:
                              - chksum: >-
                                  62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 561.05
                                      rt: 18
                                      samt: 0
                                      txval: 3116.94
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103340
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 3677.99
                              - chksum: >-
                                  c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 961.11
                                      rt: 18
                                      samt: 0
                                      txval: 5339.48
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103368
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 6300.59
                              - chksum: >-
                                  fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 46380.95
                                      rt: 18
                                      samt: 0
                                      txval: 257671.97
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103394
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 304052.92
                              - chksum: >-
                                  9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 17349.93
                                      rt: 18
                                      samt: 0
                                      txval: 96388.48
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103426
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 113738.41
                              - chksum: >-
                                  ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                                d_flag: 'Y'
                                inv_typ: R
                                irn: >-
                                  x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                irngendate: 13-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      iamt: 17533.22
                                      rt: 18
                                      samt: 0
                                      txval: 97406.76
                                    num: 1
                                nt_dt: 13-12-2023
                                nt_num: ACN2324000103435
                                ntty: C
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 114939.98
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: f44b271e-fff6-45dd-ab62-d9c224a623e8
                RET13509 No data found:
                  summary: RET13509 No data found
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET13509
                        message: No document found for the provided Inputs
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 6476839b-7222-406f-ba66-ce26f8235e46
                200 Success 2:
                  summary: 200 Success 2
                  value:
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    code: 200
                    data:
                      data:
                        cdn:
                          - cfs: 'Y'
                            nt:
                              - val: 3677.99
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 3116.94
                                      camt: 0
                                      iamt: 561.05
                                irn: >-
                                  x4dftn9my4a2fc97799229784bd7e98f57109db58f5cb674f534618c9e2fde51
                                d_flag: 'Y'
                                nt_num: ACN2324000103340
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  62e70374990b3cef19e36d4eee08cd033c63811ddbf7d27601b9a4b83786dbf1
                              - val: 6300.59
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 5339.48
                                      camt: 0
                                      iamt: 961.11
                                irn: >-
                                  x4dftn9my4eb8bbc314c0ef223d54402ebf09a4368735bb3bdc2159994de0543
                                d_flag: 'Y'
                                nt_num: ACN2324000103368
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  c9cf8df2a4ebb548eeed7c373e6e4760416dc13520de43a1b26f4036f83d2a73
                              - val: 304052.92
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 257671.97
                                      camt: 0
                                      iamt: 46380.95
                                irn: >-
                                  x4dftn9my4a2b71831e89eba6742a7035660560559843936076fd0466cb6e2c2
                                d_flag: 'Y'
                                nt_num: ACN2324000103394
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  fd69021e1d2e13e5044855accbaaae6c9b770a0a7330f30f9c9fb5a70914c587
                              - val: 113738.41
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 96388.48
                                      camt: 0
                                      iamt: 17349.93
                                irn: >-
                                  x4dftn9my4fca1a9feeac080875d8fbcb0b2367c00b582c60485119a375ce80f
                                d_flag: 'Y'
                                nt_num: ACN2324000103426
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  9d01418f52927eae3b7439571a395472876b28d91ac0c75e0c3014e7587023e4
                              - val: 114939.98
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 0
                                      rt: 18
                                      txval: 97406.76
                                      camt: 0
                                      iamt: 17533.22
                                irn: >-
                                  x4dftn9my4a50837c18b84b9cc52a5c6423b4afa05dcbf1454ef98aa88206d5d
                                d_flag: 'Y'
                                nt_num: ACN2324000103435
                                irngendate: 13-12-2023
                                nt_dt: 13-12-2023
                                inv_typ: R
                                pos: '24'
                                srctyp: E-Invoice
                                ntty: C
                                rchrg: 'N'
                                chksum: >-
                                  ac2f16c2039f07d75db508c9acfe448cd177963a08ad8228e28cbd066ebad18b
                            ctin: 07ABCCA9123A1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                      status_cd: '1'
                    timestamp: 1776921876217
          headers: {}
      deprecated: false
      security: []

````